#include <bits/stdc++.h>
using namespace std;

int main(){
	long long n, m, k;
	cin >> n >> m >> k;
	
	long long ans = 0;
	ans += ((n/k)*(m/k));
	

	if(n%k != 0){
		ans += (m/k);
	}

	if(m%k != 0){
		ans += (n/k);
	}
	
	if(m%k!=0 && n%k!=0){
		ans++;
	}
	
	cout << ans;
}
